%def_enable nautilus

Name: gksu
Version: 2.0.0
Release: alt1

Summary: A Gtk+-based 'su' wrapper
License: LGPL
Group: Graphical desktop/GNOME
Url: http://www.nongnu.org/%name/
Source: http://people.debian.org/~kov/%name/%name-%version.tar.gz

# From configure.ac
%define libgksu_ver 1.9.8
%define gtk_ver 2.4.0

# From configure.ac
BuildPreReq: libgksu-devel >= %libgksu_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gettext-tools
BuildPreReq: gtk-doc >= 1.0
%{?_enable_nautilus:BuildPreReq: libnautilus-devel}

BuildRequires: perl-XML-Parser

%description
GKSu is a stack of libraries and an application that provide a Gtk+ frontend to su and sudo. It supports login shells and preserving environment when acting as a su frontend. It is useful to menu items or other graphical programs that need to ask a user's password to run another program as another user.

%prep
%setup -q

%build
%configure \
    %{?_enable_nautilus:--enable-nautilus-extension} \
    --disable-static \
    --enable-gtk-doc

%make

%install
%makeinstall

%find_lang %name

%files -f %name.lang
%_bindir/gksu
%_bindir/gksudo
%dir %_datadir/%name
%_datadir/%name/gksu-migrate-conf.sh
%_pixmapsdir/%name-*.png
%_desktopdir/%name.desktop
%_man1dir/*.1.gz
%_libdir/nautilus/extensions-1.0/libnautilus-%name.so

%exclude %_libdir/nautilus/*/*.la

%changelog
* Tue Mar 27 2007 Alexey Rusakov <ktirf@altlinux.org> 2.0.0-alt1
- new version (2.0.0)
- Source address changed

* Sat Sep 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.9.4-alt1
- the first build for Sisyphus

